---
title: font-weight
slug: Web/CSS/font-weight
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-weight</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the weight (or boldness) of the font. The weights available depend on the {{cssxref("font-family")}} that is currently set.</p>

<div>{{EmbedInteractiveExample("pages/css/font-weight.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
font-weight: normal;
font-weight: bold;

/* Keyword values relative to the parent */
font-weight: lighter;
font-weight: bolder;

/* Numeric keyword values */
font-weight: 100;
font-weight: 200;
font-weight: 300;
font-weight: 400;// normal
font-weight: 500;
font-weight: 600;
font-weight: 700;// bold
font-weight: 800;
font-weight: 900;

/* Global values */
font-weight: inherit;
font-weight: initial;
font-weight: unset;
</pre>

<p>The <code>font-weight</code> property is specified using any one of the values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>Normal font weight. Same as <code>400</code>.</dd>
 <dt><code>bold</code></dt>
 <dd>Bold font weight. Same as <code>700</code>.</dd>
 <dt><code>lighter</code></dt>
 <dd>One relative font weight lighter than the parent element. Note that only four font weights are considered for relative weight calculation; see the {{anch("Meaning of relative weights")}} section below.</dd>
 <dt><code>bolder</code></dt>
 <dd>One relative font weight heavier than the parent element. Note that only four font weights are considered for relative weight calculation; see the {{anch("Meaning of relative weights")}} section below.</dd>
 <dt><code>&lt;number&gt;</code></dt>
 <dd>A {{cssxref("&lt;number&gt;")}} value between 1 and 1000, inclusive. Higher numbers represent weights that are bolder than (or as bold as) lower numbers. Certain commonly used values correspond to common weight names, as described in the <a href="#Common_weight_name_mapping">Common weight name mapping</a> section below.</dd>
</dl>

<p>In earlier versions of the <code>font-weight</code> specification, the property accepts only keyword values and the numeric values 100, 200, 300, 400, 500, 600, 700, 800, and 900; non-variable fonts can only really make use of these set values, although fine-grained values (e.g. 451) will be translated to one of these values for non-variable fonts using the {{anch("Fallback weights")}} system.</p>

<p>CSS Fonts Level 4 extends the syntax to accept any number between 1 and 1000 and introduces {{anch("Variable fonts")}}, which can make use of this much finer-grained range of font weights.</p>

<h3 id="Fallback_weights">Fallback weights</h3>

<p>If the exact weight given is unavailable, then the following rule is used to determine the weight actually rendered:</p>

<ul>
 <li>If the target weight given is between <code>400</code> and <code>500</code> inclusive:

  <ul>
   <li>Look for available weights between the target and <code>500</code>, in ascending order.</li>
   <li>If no match is found, look for available weights less than the target, in descending order.</li>
   <li>If no match is found, look for available weights greater than <code>500</code>, in ascending order.</li>
  </ul>
 </li>
 <li>If a weight less than <code>400</code> is given, look for available weights less than the target, in descending order. If no match is found, look for available weights greater than the target, in ascending order.</li>
 <li>If a weight greater than <code>500</code> is given, look for available weights greater than the target, in ascending order. If no match is found, look for available weights less than the target, in descending order.</li>
</ul>

<h3 id="Meaning_of_relative_weights">Meaning of relative weights</h3>

<p>When <code>lighter</code> or <code>bolder</code> is specified, the below chart shows how the absolute font weight of the element is determined.</p>

<p>Note that when using relative weights, only four font weights are considered — thin (100), normal (400), bold (700), and heavy (900). If a font-family has more weights available, they are ignored for the purposes of relative weight calculation.</p>

<table class="standard-table">
 <thead>
  <tr>
   <th>Inherited value</th>
   <th><code>bolder</code></th>
   <th><code>lighter</code></th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <th>100</th>
   <td>400</td>
   <td>100</td>
  </tr>
  <tr>
   <th>200</th>
   <td>400</td>
   <td>100</td>
  </tr>
  <tr>
   <th>300</th>
   <td>400</td>
   <td>100</td>
  </tr>
  <tr>
   <th>400</th>
   <td>700</td>
   <td>100</td>
  </tr>
  <tr>
   <th>500</th>
   <td>700</td>
   <td>100</td>
  </tr>
  <tr>
   <th>600</th>
   <td>900</td>
   <td>400</td>
  </tr>
  <tr>
   <th>700</th>
   <td>900</td>
   <td>400</td>
  </tr>
  <tr>
   <th>800</th>
   <td>900</td>
   <td>700</td>
  </tr>
  <tr>
   <th>900</th>
   <td>900</td>
   <td>700</td>
  </tr>
 </tbody>
</table>

<h3 id="Common_weight_name_mapping">Common weight name mapping</h3>

<p>The numerical values <code>100</code> to <code>900</code> roughly correspond to the following common weight names (see the <a href="https://docs.microsoft.com/en-us/typography/opentype/spec/os2#usweightclass">OpenType specification</a>):</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Common weight name</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>100</td>
   <td>Thin (Hairline)</td>
  </tr>
  <tr>
   <td>200</td>
   <td>Extra Light (Ultra Light)</td>
  </tr>
  <tr>
   <td>300</td>
   <td>Light</td>
  </tr>
  <tr>
   <td>400</td>
   <td>Normal (Regular)</td>
  </tr>
  <tr>
   <td>500</td>
   <td>Medium</td>
  </tr>
  <tr>
   <td>600</td>
   <td>Semi Bold (Demi Bold)</td>
  </tr>
  <tr>
   <td>700</td>
   <td>Bold</td>
  </tr>
  <tr>
   <td>800</td>
   <td>Extra Bold (Ultra Bold)</td>
  </tr>
  <tr>
   <td>900</td>
   <td>Black (Heavy)</td>
  </tr>
  <tr>
   <td>950</td>
   <td><a href="https://docs.microsoft.com/en-us/dotnet/api/system.windows.fontweights?view=netframework-4.8#remarks">Extra Black (Ultra Black)</a></td>
  </tr>
 </tbody>
</table>

<h3 id="Variable_fonts">Variable fonts</h3>

<p>Most fonts have a particular weight which corresponds to one of the numbers in <a href="#Common_weight_name_mapping">Common weight name mapping</a>. However some fonts, called variable fonts, can support a range of weights with a more or less fine granularity, and this can give the designer a much closer degree of control over the chosen weight.</p>

<p>For TrueType or OpenType variable fonts, the "wght" variation is used to implement varying widths.</p>

<p>For the example below to work, you'll need a browser that supports the CSS Fonts Level 4 syntax in which font-weight can be any number between 1 and 1000.</p>

<div style="border: 10px solid #f5f9fa; padding: 1rem;">{{EmbedLiveSample("variable-font-example", 1200, 180, "", "", "example-outcome-frame")}}</div>

<h4 id="HTML">HTML</h4>

<div id="variable-font-example">
<pre class="brush: html notranslate">&lt;header&gt;
    &lt;input type="range" id="weight" name="weight" min="1" max="1000" /&gt;
    &lt;label for="weight"&gt;Weight&lt;/label&gt;
&lt;/header&gt;
&lt;div class="container"&gt;
    &lt;p class="sample"&gt;...it would not be wonderful to meet a Megalosaurus, forty feet long or so, waddling like an elephantine lizard up Holborn Hill.&lt;/p&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">/*
Mutator Sans is created by LettError (https://github.com/LettError/mutatorSans)
and is used here under the terms of its license:
https://github.com/LettError/mutatorSans/blob/master/LICENSE
*/

@font-face {
  src: url('https://mdn.mozillademos.org/files/16011/MutatorSans.ttf');
  font-family:'MutatorSans';
  font-style: normal;
}

label {
  font: 1rem monospace;
  white-space: nowrap;
}

.container {
  max-height: 150px;
  overflow-y: auto;
}

.sample {
  text-transform: uppercase;
  font: 1.5rem 'MutatorSans', sans-serif;
}
</pre>

<div class="hidden">
<pre class="brush: css notranslate">html, body {
  max-height: 100vh;
  max-width: 100vw;
  overflow: hidden;
}

body {
  display: flex;
  flex-direction: column;
}

header {
  margin-bottom: 1.5rem;
}

.container {
  flex-grow: 1;
}

.container &gt; p {
  margin-top: 0;
  margin-bottom: 0;
}
</pre>
</div>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">let weightLabel = document.querySelector('label[for="weight"]');
let weightInput = document.querySelector('#weight');
let sampleText = document.querySelector('.sample');

function update() {
  weightLabel.textContent = `font-weight: ${weightInput.value};`;
  sampleText.style.fontWeight = weightInput.value;
}

weightInput.addEventListener('input', update);

update();
</pre>
</div>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>People experiencing low vision conditions may have difficulty reading text set with a <code>font-weight</code> value of <code>100</code> (Thin/Hairline) or <code>200</code> (Extra Light), especially if the font has a <a href="/en-US/docs/Web/CSS/color#Accessibility_concerns">low contrast color ratio</a>.</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-visual-presentation.html" rel="noopener">Understanding Success Criterion 1.4.8 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_font_weights">Setting font weights</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;p&gt;
  Alice was beginning to get very tired of sitting by her sister on the
  bank, and of having nothing to do: once or twice she had peeped into the
  book her sister was reading, but it had no pictures or conversations in
  it, "and what is the use of a book," thought Alice "without pictures or
  conversations?"
&lt;/p&gt;

&lt;div&gt;I'm heavy&lt;br/&gt;
  &lt;span&gt;I'm lighter&lt;/span&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush:css notranslate">/* Set paragraph text to be bold. */
p {
  font-weight: bold;
}

/* Set div text to two steps heavier than
   normal but less than a standard bold. */
div {
 font-weight: 600;
}

/* Set span text to be one step lighter
   than its parent. */
span {
  font-weight: lighter;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_font_weights","400","300")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Fonts', '#font-weight-prop', 'font-weight')}}</td>
   <td>{{Spec2('CSS4 Fonts')}}</td>
   <td>Defines <code>font-weight</code> to accept any numbers between 1 and 1000.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#font-weight-prop', 'font-weight')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'fonts.html#propdef-font-weight', 'font-weight')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#font-weight', 'font-weight')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.font-weight")}}</p>

<h2 id="See-also">See Also</h2>

<ul>
  <li>{{cssxref("font-style")}}</li>
  <li>{{cssxref("font-family")}}</li>
  <li><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></li>
 </ul>